Cyberduck Mountain Duck CLI

#2575 closed defect (fixed)

Crash when S3 object has dot in key

Reported by: miles@… Owned by: dkocher
Priority: normal Milestone: 3.3
Component: s3 Version: 3.0.2
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

I have an object in my S3 bucket with the key:

jra/prc_20070813/nodrm/rc1/./uploadNoDRM_Solaris.rb.wmv

Cyber duck hangs (infinite loop?) attempting to expand this virtual path in the directory tree view.

Change History (4)

comment:1 Changed on Sep 13, 2008 at 6:12:18 PM by dkocher

  • Component changed from core to s3
  • Description modified (diff)
  • Milestone changed from 3.1 to 3.0.3
  • Status changed from new to assigned

comment:2 Changed on Sep 14, 2008 at 12:30:04 PM by dkocher

How did you manage to create a file with that key? All clients I know of won't allow this as . is usually a reserved character denoting the current directory.

To track down this bug, can you please post some logging information. Set the logging level in Cyberduck to debug by pasting

defaults write ch.sudo.cyberduck logging DEBUG

into a Terminal.app window and restarting Cyberduck. Can you then post the console.log from Applications/Utilities/Console.app here. Thanks.

comment:3 Changed on Oct 8, 2008 at 8:59:52 AM by dkocher

  • Milestone 3.0.3 deleted

Resolution is delayed as I cannot find a tool which allows me to create a dot file on S3 that would allow me to reproduce the issue.

comment:4 Changed on Aug 12, 2009 at 9:19:20 PM by dkocher

  • Milestone set to 3.3
  • Resolution set to fixed
  • Status changed from assigned to closed

This should be resolved by the fix for #3347.

Note: See TracTickets for help on using tickets.
swiss made software